Regenerates a signature key for a given callback. Regenerating a signature key deactivates the existing key.
JSON Parameters
| Name | Type | Description |
|---|---|---|
callbackId |
string | Required. A unique identifier for the callback. |
Responses
| Status | Name | Type | Description |
|---|---|---|---|
| 200 | New signature key generated. Review example response. | ||
| callbackName | string | Name of the callback. | |
| callbackId | string | Unique identifier of the callback. | |
| url | string | HTTPS URL of the customer callback that receives event notifications in the format https://host[/path]. |
|
| signatureKey | string | A symmetric key to authenticate messages. |
Usage
To regenerate the signature key, send a PUT request to the /platform/v1/ens-regenerate endpoint.
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
PUT /platform/v1/ens-regenerate
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
[{
"callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d"
}]
The response includes information about the callback.
HTTP/1.1 200 OK
[{
"callbackName": "cb1",
"callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
"url": "https://example.com/",
"signatureKey": "KktBXb9V556KtSDG7Wb5a0xHAu/z9n3k+YekDzLy7i0="
}]
HTTP Responses
| Response | Reason |
|---|---|
| 200 OK | New signature key generated. Review example response. |
| 400 Bad Request | Unable to process the request. |
| 401 Unauthorized | Request not authorized; missing or incorrect bearer token. |
| 403 Forbidden | Failed to pass authorization. |
| 404 Not Found | Callback ID doesn’t exist for this MID. |
| 500 Server Error | Internal error |